
<?php
require_once('../init.php');
require_once('../includes/config.php');
require_once('../dompdf/autoload.inc.php');

use Dompdf\Dompdf;
$dompdf = new Dompdf(array('enable_remote' => true));
$context = stream_context_create([
  'ssl' => [
    'verify_peer' => FALSE,
    'verify_peer_name' => FALSE,
    'allow_self_signed' => TRUE
  ]
]);

global $Config;
$mConfig = $Config;



$stmt = $pdo->prepare("SELECT p.id, p.price, p.sort, pl.name, pl.description, pl.created_at
FROM products AS p
 LEFT JOIN products_langs AS pl ON p.id = pl.product_id AND pl.lang_code = 'en'");


$stmt->execute();
$products = $stmt->fetchAll(PDO::FETCH_ASSOC);

foreach ($products as &$product) {

  $product['categories'] = "";
  $sql = $pdo->prepare("SELECT cl.name FROM products_categories AS pc
  JOIN categories_langs AS cl ON  pc.category_id = cl.category_id
   WHERE pc.product_id = :product_id AND cl.lang_code = :lang");

  $lan = 'en';
  $sql->bindParam(':lang', $lan);
  $sql->bindParam(':product_id', $product['id']);
  $sql->execute();

  $categories = $sql->fetchAll(PDO::FETCH_ASSOC);

  foreach ($categories as $category) {
    $product['categories'] .= "<p>" . $category['name'] . "</p>";
  }

  $product['images'] = "";
  $stmt = $pdo->prepare("SELECT pi.image FROM products_images AS pi WHERE pi.product_id = :product_id");
  $stmt->bindParam(':product_id', $product['id']);
  $stmt->execute();
  $images = $stmt->fetchAll(PDO::FETCH_ASSOC);
  // print_r($images);
  // die();
  foreach ($images as $image) {
    $imagePath = $_SERVER['DOCUMENT_ROOT'] . '/' . $mConfig['uploads_path'] . $image['image'];
    $product['images'] .= "<img src='$imagePath' />";
  }
  
}
// print_r($imagePath);
// die();



$html = '<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Document</title>
<style>
h1{
  text-align: center;
  margin-bottom: 2px;
}
</style>
</head>
<body>

<h1 >Products</h1>
<table border="1" align="center" width="90%">
<thead>
<tr>
<th>Product ID</th>
<th>Product Category</th>
<th>Product Name</th>
<th>Product Description</th>

<th>Product Image</th>
<th>Product Price</th>
<th>Sort</th>
<th>Created Date</th>

</tr>
</thead>
<tbody>';

foreach ($products as $row) {
  $html .= '<tr><td>'  . $row['id'] . '</td><td>' . $row['categories'] . '</td><td>' . $row['name'] . '</td><td>' . $row['description'] . '</td><td>' . $row['images'] . '</td><td>' . $row['price'] . '</td><td>' . $row['sort'] . '</td><td>' . $row['created_at'] . '</td></tr>';
  
}

$html .= '</body></table></html>';

$dompdf->setHttpContext($context);

$dompdf->loadHtml($html);


// Render the PDF
$dompdf->render();
$dompdf->stream('output.pdf', array('Attachment' => false));
